<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_r_e_a_d_m_e_8doxygen_8md" kind="file" language="Markdown">
    <compoundname>README.doxygen.md</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">#<sp />Light<sp />Sensor</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Overview</highlight></codeline>
<codeline />
<codeline><highlight class="normal">This<sp />library<sp />provides<sp />functions<sp />to<sp />support<sp />use<sp />of<sp />a<sp />phototransistor<sp />ambient<sp />light<sp />sensor<sp />such<sp />as<sp />the<sp />TEMT6000<sp />as<sp />used<sp />on<sp />the<sp />CY8CKIT-028-TFT<sp />shield.<sp />It<sp />uses<sp />an<sp />ADC<sp />to<sp />read<sp />the<sp />relative<sp />light<sp />level<sp />which<sp />is<sp />returned<sp />a<sp />a<sp />percentage<sp />of<sp />maximum<sp />brightness<sp />(0-100).</highlight></codeline>
<codeline />
<codeline><highlight class="normal">This<sp />library<sp />is<sp />generic<sp />and<sp />can<sp />be<sp />used<sp />with<sp />any<sp />ADC<sp />based<sp />light<sp />sensor.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Quick<sp />Start</highlight></codeline>
<codeline><highlight class="normal">1.<sp />Add<sp />the<sp />following<sp />code<sp />to<sp />your<sp />application.<sp />This<sp />example<sp />initializes<sp />the<sp />Light<sp />Sensor<sp />and<sp />reads<sp />the<sp />relative<sp />brightness.</highlight></codeline>
<codeline><highlight class="normal">2.<sp />Note:<sp />Define<sp />LIGHT_SENSOR_PIN<sp />as<sp />appropriate<sp />for<sp />your<sp />hardware</highlight></codeline>
<codeline><highlight class="normal">```cpp</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"cyhal.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"cybsp.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"mtb_light_sensor.h"</highlight></codeline>
<codeline />
<codeline><highlight class="normal">#define<sp />LIGHT_SENSOR_PIN<sp />(?)<sp />//<sp />Define<sp />me</highlight></codeline>
<codeline />
<codeline><highlight class="normal">cyhal_adc_t<sp />adc;</highlight></codeline>
<codeline><highlight class="normal">mtb_light_sensor_t<sp />sensor;</highlight></codeline>
<codeline />
<codeline><highlight class="normal">int<sp />main(void)</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />result;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp />cybsp_init();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(result<sp />==<sp />CY_RSLT_SUCCESS);</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_adc_init(&amp;adc,<sp />LIGHT_SENSOR_PIN,<sp />NULL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(result<sp />==<sp />CY_RSLT_SUCCESS);</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp />mtb_light_sensor_init(&amp;light_sensor,<sp />&amp;adc,<sp />LIGHT_SENSOR_PIN);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(result<sp />==<sp />CY_RSLT_SUCCESS);</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />light<sp />=<sp />mtb_light_sensor_light_level(&amp;light_sensor_obj));</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />for(;;)<sp />{<sp />}</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
<codeline><highlight class="normal">```</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />More<sp />information</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />[API<sp />Reference<sp />Guide](https://cypresssemiconductorco.github.io/light-sensor/html/index.html)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor,<sp />an<sp />Infineon<sp />Technologies<sp />Company](http://www.cypress.com)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor<sp />GitHub](https://github.com/cypresssemiconductorco)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[ModusToolbox](https://www.cypress.com/products/modustoolbox-software-environment)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Code<sp />Examples<sp />using<sp />ModusToolbox<sp />IDE](https://github.com/cypresssemiconductorco/Code-Examples-for-ModusToolbox-Software)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Middleware](https://github.com/cypresssemiconductorco/psoc6-middleware)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Resources<sp />-<sp />KBA223067](https://community.cypress.com/docs/DOC-14644)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">---</highlight></codeline>
<codeline><highlight class="normal">©<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />2019-2020.</highlight></codeline>
    </programlisting>
    <location file="bsp/libs/sensor-light/README.doxygen.md" />
  </compounddef>
</doxygen>